Deep Security Manager REST API

Path: / rest / tenants / id / {tID}

Retrieve a tenant by tenant's ID.

Path parameters:
tID - The ID of the tenant to retrieve.

Method Summary
ResourceDescription
GET /rest/tenants/id/{tID}?sID=…Retrieve a tenant by tenant's ID.
DELETE /rest/tenants/id/{tID}?sID=…Delete tenant by tenant's ID.

Method Detail
HTTP Example:
GET /rest/tenants/id/{tID}?sID=…

API Example:

ITenantAPI.getTenantById({'sID': /* sID session ID. */,
  'tID': /* tenantID The ID of the tenant to retrieve. */});

Retrieve a tenant by tenant's ID.

Output:
TenantElement - The tenant's information.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
DELETE /rest/tenants/id/{tID}?sID=…

API Example:

ITenantAPI.deleteTenantById({'sID': /* sID session ID. */,
  'tID': /* tenantID The ID of the tenant to delete. */});

Delete tenant by tenant's ID.

Output:
DeleteTenantResponse - A response with status 200 OK and a body containing response information when deletion succeeds. If the tenant does not exist, it will return a response with status 404 Not Found and a body containing an ErrorMessage.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.